package com.quant.entity;

/**
 * ProductType entity. @author MyEclipse Persistence Tools
 */

public class ProductType implements java.io.Serializable {

	// Fields

	private Integer id;
	private String typeName;
	private Integer pid;
	private Integer status;
	private String typeIntroduction;

	// Constructors

	/** default constructor */
	public ProductType() {
	}

	/** full constructor */
	public ProductType(String typeName, Integer pid, Integer status,
			String typeIntroduction) {
		this.typeName = typeName;
		this.pid = pid;
		this.status = status;
		this.typeIntroduction = typeIntroduction;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getTypeName() {
		return this.typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public Integer getPid() {
		return this.pid;
	}

	public void setPid(Integer pid) {
		this.pid = pid;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public String getTypeIntroduction() {
		return this.typeIntroduction;
	}

	public void setTypeIntroduction(String typeIntroduction) {
		this.typeIntroduction = typeIntroduction;
	}

}